Bug 989353 - [abrt] cinepaint-libs-1.3-9.fc19: gimp_run_procedure: Process /usr/lib64/cinepaint/1.3.0/plug-ins/dbbrowser was killed by signal 6 (SIGABRT)
[abrt] cinepaint-libs-1.3-9.fc19: gimp_run_procedure: Process /usr/lib64/cine...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cinepaint (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
abrt_hash:36e050c39153a94e77960ec81f8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 02:47 EDT by D. Charles Pyle
Modified: 2016-01-31 20:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-03 08:37:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.50 KB, text/plain)
2013-07-29 02:47 EDT, D. Charles Pyle
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-29 02:47 EDT, D. Charles Pyle
no flags Details
File: core_backtrace (4.53 KB, text/plain)
2013-07-29 02:47 EDT, D. Charles Pyle
no flags Details
File: dso_list (6.11 KB, text/plain)
2013-07-29 02:47 EDT, D. Charles Pyle
no flags Details
File: environ (1.95 KB, text/plain)
2013-07-29 02:47 EDT, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-29 02:47 EDT, D. Charles Pyle
no flags Details
File: maps (34.65 KB, text/plain)
2013-07-29 02:47 EDT, D. Charles Pyle
no flags Details
File: open_fds (290 bytes, text/plain)
2013-07-29 02:47 EDT, D. Charles Pyle
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-07-29 02:48 EDT, D. Charles Pyle
no flags Details

  None (edit)
Description D. Charles Pyle 2013-07-29 02:47:38 EDT
Description of problem:
Tried to open the DBBrowser in cinepaint.  Crash occurred afterward.

Version-Release number of selected component:
cinepaint-libs-1.3-9.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib64/cinepaint/1.3.0/plug-ins/dbbrowser -gimp 10 8 64 64
crash_function: gimp_run_procedure
executable:     /usr/lib64/cinepaint/1.3.0/plug-ins/dbbrowser
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jul 29 00:46:19 Illuminatus-1 abrt[13709]: Saved core dump of pid 13708 (/usr/lib64/cinepaint/1.3.0/plug-ins/dbbrowser) to /var/tmp/abrt/ccpp-2013-07-29-00:46:19-13708 (3686400 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 gimp_run_procedure at plugin_main.c:832
 #5 gimp_message at plugin_main.c:351
 #8 g_return_if_fail_warning at gmessages.c:1019
 #9 gtk_widget_get_direction at gtkwidget.c:8711
 #10 draw_simple_image at pixbuf-draw.c:137
 #11 draw_shadow at pixbuf-draw.c:432
 #12 gtk_draw_shadow at gtkstyle.c:1038
 #13 gtk_clist_expose at gtkclist.c:4788
 #14 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #19 gtk_widget_event_internal at gtkwidget.c:5017
Comment 1 D. Charles Pyle 2013-07-29 02:47:41 EDT
Created attachment 779643 [details]
File: backtrace
Comment 2 D. Charles Pyle 2013-07-29 02:47:43 EDT
Created attachment 779644 [details]
File: cgroup
Comment 3 D. Charles Pyle 2013-07-29 02:47:46 EDT
Created attachment 779645 [details]
File: core_backtrace
Comment 4 D. Charles Pyle 2013-07-29 02:47:48 EDT
Created attachment 779646 [details]
File: dso_list
Comment 5 D. Charles Pyle 2013-07-29 02:47:50 EDT
Created attachment 779647 [details]
File: environ
Comment 6 D. Charles Pyle 2013-07-29 02:47:52 EDT
Created attachment 779648 [details]
File: limits
Comment 7 D. Charles Pyle 2013-07-29 02:47:55 EDT
Created attachment 779649 [details]
File: maps
Comment 8 D. Charles Pyle 2013-07-29 02:47:57 EDT
Created attachment 779650 [details]
File: open_fds
Comment 9 D. Charles Pyle 2013-07-29 02:48:00 EDT
Created attachment 779651 [details]
File: proc_pid_status
Comment 10 Fedora Admin XMLRPC Client 2013-08-05 13:44:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Jaromír Cápík 2013-10-31 08:19:14 EDT
Hello Charles.

Could you please re-test that with the latest testing packages?

Please, download cinepaint-libs and cinepaint from here ...

http://koji.fedoraproject.org/koji/taskinfo?taskID=6117552

... and install both.

Thanks in advance.

Regards,
Jaromir.
Comment 12 Jaromír Cápík 2014-04-03 08:37:04 EDT
The DBBrowser now can be opened without crashes. Closing.
Comment 13 D. Charles Pyle 2014-06-09 18:41:19 EDT
No longer crashes when opening DB Browser.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.